=== modified file 'bzrlib/doc_generate/writers/texinfo.py'
--- bzrlib/doc_generate/writers/texinfo.py	2010-07-21 08:07:14 +0000
+++ bzrlib/doc_generate/writers/texinfo.py	2011-03-11 11:33:33 +0000
@@ -143,9 +143,10 @@
         # FIXME: Using a different visitor specific to toctree may be a better
         # design and makes code clearer. -- vila 20100708
         if node.has_key('toctree'):
-            node.parent.collect_text('@menu\n')
-            node.parent.collect_text(''.join(node['text']))
-            node.parent.collect_text('@end menu\n')
+            if node['text']:
+                node.parent.collect_text('@menu\n')
+                node.parent.collect_text(''.join(node['text']))
+                node.parent.collect_text('@end menu\n')
             self.in_toctree = False
         elif self.in_toctree:
             # * FIRST-ENTRY-NAME:(FILENAME)NODENAME.     DESCRIPTION

=== modified file 'bzrlib/tests/doc_generate/builders/test_texinfo.py'
--- bzrlib/tests/doc_generate/builders/test_texinfo.py	2011-01-10 22:20:12 +0000
+++ bzrlib/tests/doc_generate/builders/test_texinfo.py	2011-03-11 11:33:33 +0000
@@ -43,8 +43,6 @@
 class TestFileProduction(test_dg.TestSphinx):
 
     def test_files_generated(self):
-        if self.sphinx_version() >= (1, 0):
-            raise tests.TestSkipped('Not compatible with sphinx >= 1.0')
         self.build_tree_contents(
             [('index.txt', """
 Table of Contents

=== modified file 'bzrlib/tests/doc_generate/writers/test_texinfo.py'
--- bzrlib/tests/doc_generate/writers/test_texinfo.py	2011-01-10 22:20:12 +0000
+++ bzrlib/tests/doc_generate/writers/test_texinfo.py	2011-03-11 11:33:33 +0000
@@ -177,8 +177,6 @@
 class TestTocTreeGeneration(test_dg.TestSphinx):
 
     def test_toctree(self):
-        if self.sphinx_version() >= (1, 0):
-            raise tests.TestSkipped('Not compatible with sphinx >= 1.0')
         self.build_tree_contents(
             [('index.txt', """
 Table of Contents
@@ -235,6 +233,29 @@
 """,
                              'bzr-0.0.8.texi')
 
+    def test_toctree_empty(self):
+        self.build_tree_contents(
+            [('index.txt', """
+Table of Contents
+=================
+
+.. toctree::
+   :maxdepth: 1
+""")])
+        app, out, err = self.make_sphinx()
+        self.build(app)
+        self.assertFileEqual("""\
+This file has been converted using a beta rst->texinfo converter. 
+Most of the info links are currently bogus, don't report bugs about them,
+this is currently worked on.
+@node Top
+@top Placeholder
+@node table-of-contents
+@chapter Table of Contents
+""",
+                             'index.texi')
+
+
 class TestSections(test_dg.TestSphinx):
 
     def test_sections(self):

=== modified file 'doc/en/release-notes/bzr-2.2.txt'
--- doc/en/release-notes/bzr-2.2.txt	2011-02-20 15:01:25 +0000
+++ doc/en/release-notes/bzr-2.2.txt	2011-03-11 11:33:33 +0000
@@ -2,8 +2,8 @@
 Bazaar Release Notes
 ####################
 
-.. contents:: List of Releases
-   :depth: 1
+.. toctree::
+   :maxdepth: 1
 
 bzr 2.2.5
 #########

